package com.autentia.tutoriales.maven.standalone;

import java.io.File;
import org.apache.commons.lang.WordUtils;
import org.apache.commons.io.FileUtils;

public class MavenStandaloneExample {
	/**
	 * Dado un archivo de texto imprime su contenido capitalizado, es decir, la primera letra de 
	 * cada palabra en mayúsculas.
	 * @param args Un sólo parámetro con la ruta completa al archivo de texto a capitalizar.
	 */
	public static void main(String[] args) {
		try {
			File	file   = new File(args[0]);
			String	fileContent = FileUtils.readFileToString(file);
			
			System.out.println(WordUtils.capitalizeFully(fileContent));
		} catch (java.lang.ArrayIndexOutOfBoundsException ex){
			System.out.println("Debe especificar el nombre de un archivo");
		} catch (java.io.IOException ex){
			System.out.println("Se ha producido un error al tratar el archivo especificado.");
			System.out.println("Verique que exista y que tenga permisos de lectura.");
		}
	}
}